Re: compiling gcc 2.95.3 under ubuntu 10.04.2, x86_64

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]


On Thu, 12 Apr 2012 16:46:13 -0400
Roman Suvorov <4rvs19@xxxxxxxxx> wrote:

> xz (and liblzma) are definitely installed (v. 4.999.9beta), and I'm
> using tar 1.22. I looked through all of the configure tool's help,
> nothing mentions X-CheckUnifiedSystemdir. 


  Roman,

OK, I did scan through rpm-4.9.1.2's source tree for PayloadIsXz:

find . -type f -print | sort | xargs grep PayloadIsXz

./build/pack.c:     (void) rpmlibNeedsFeature(h, "PayloadIsXz", "5.2-1");
./ChangeLog:    - rpmlib(PayloadIsXz) dependency versioned 5.2-1 to avoid unnecessary
./lib/rpmds.c:    { "rpmlib(PayloadIsXz)",              "5.2-1",


lib/rpmds.c is interesting and mentions other dependencies too.
As far as PayloadIsXz is concerned, HAVE_LZMA_H must be set.
After configuring, my config.h has:

/* Define to 1 if you have the <lzma.h> header file. */
#define HAVE_LZMA_H 1

What does yours say?

As far as X-CheckUnifiedSystemdir goes, a search for it shows nothing
in the entire rpm tree source tree, not even in the ChangeLog:

find . -type f -print | sort | xargs grep CheckUnifiedSystemdir

I wonder if they removed it, or is this something for a special version
of rpm (the alternate 5.x series or some such).

Google would be the way to go here for info, but Google search seems
to be broken (error 404, with broken robot response) just now (no joke).


  Mike


[Linux C Programming]     [Linux Kernel]     [eCos]     [Fedora Development]     [Fedora Announce]     [Autoconf]     [The DWARVES Debugging Tools]     [Yosemite Campsites]     [Yosemite News]     [Linux GCC]

Add to Google